* {
    margin: 0;
    padding: 0;
}

body {
    font-family: sans-serif;
}

.page {
    text-align: center;
}

.field {
    display: inline-block;
}

.field td {
    width: 50px;
    height: 50px;
    background: linear-gradient(50deg, #f1f1f1, #f9f9f9);
    box-shadow: 2px 2px 0 #dddddd;
    user-select: none;
}

.field td.open {
    background: white;
    border: none;
    text-align: center;
    font-size: 2em;
}

.field td.lock::after {
    content: 'X';
    position: relative;
    font-size: 2em;
    font-weight: 900;
    color: darkviolet;
}

P {
    font-size: 2em;
    color: darkviolet;
    font-weight: bold;
    display: inline-block;
    margin: 0 1em;
    vertical-align: middle;
}

p#size {
    margin: 0 0.5em;
}

button {
    padding: 1em;
    border: none;
    border-radius: 10px;
    background-color: darkviolet;
    color: white;
    text-transform: uppercase;
    font-weight: bold;
    box-shadow: 1px 1px 2px 0 #333;
}

.end, .end2 {
    display: none !important;
}

.over {
    z-index: 3;
    position: fixed;
    height: 100%;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.7);
    font-size: 3em;
    color: darkviolet;
    font-weight: bold;
    text-align: center;
    padding-top: 40vh;
    display: block;
}

.win {
    z-index: 3;
    position: fixed;
    height: 100%;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.7);
    font-size: 3em;
    color: darkviolet;
    font-weight: bold;
    text-align: center;
    padding-top: 40vh;
    display: block;
}